React Native初探

  • 时间:
  • 浏览:2
  • 来源:uu快3教程_uu快3代理_手机版

建议:把项目底下的android目录导入到Android Studio,让Android Studio工具帮你自动构建。

在刚创建的rn项目根目录,打开命令行,输入react-native run-android命令,如图所示:

(六)Unable to resolve module 'AccessibilityInfo'

通过npm命令安装的,后能 有以下几种土法子选者:

安装地址:

Android Studio的下载地址请看:https://developer.android.google.cn/studio/#downloads

安装土法子:指定安装路径,总是点击下一步就后能 了。

下载好后来,克隆好友node的安装路径,在path中加带node环境变量。

图示如下:

示相似 下:

2.加快react native启动的几种土法子:

查看node版本号:

补救土法子:

1.进入\android\app\src\main目录,新建assets文件夹。

2.进入项目根目录cmd运行以下命令:

示相似 下:

JDK下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

(一)使用命令行创建新项目

(四)由于模拟器上运行项目老出 "Unable to load script from assets 'index.android.bundle'.Make sure your bundle is packaged correctly or you are running a package server."没法 的错误为甚么补救?

【建议】

安装命令:

你什儿 现象报告 一般是配置的现象报告 ,补救土法子如下,确保registerComponent(参数1)getMainComponentName()返回值这没法 保持一致就OK:

后能 使用脚本打开,

我这里用的版本是2.7.13,下载地址:https://www.python.org/downloads/release/python-2713/

使用react-native init 项目名称创建项目,如图所示:

yarn官网 https://yarnpkg.com/zh-Hans/

由于官网打不开,后能 查看中文网:

yarn中文网 https://yarn.bootcss.com/

我这里选者的版本是1.7.0,你也后能 选者你什儿 版本,下载好了后来,双击安装,什么都有有把yarn安装路径配置path环境变量中。

1、yarn官网下载yarn安装包:

双击,指定路径,下一步就后能 完成安装了。

查看npm版本号:

(1)安装土法子有以下什儿 :

安装完成后在cmd中输入 npm -v 回车,如下图:

打开目录/android/app/src/main/java/com/项目名/MainActivity.java,找到getMainComponentName()土法子,我这里返回的是rn_demo1,事实上我项目根路径名字叫做rn_demo。我只时需改成rn_demo就好了。

根路径底下的index.js文件打开,请看AppRegistry.registerComponent('rn_demo', () => App); 我这里括号内参数1为rn_demo,和项目根路径名称是一致的。

(二)编译并运行 React Native 应用

react native中文网 https://reactnative.cn/

react native版本现象报告 ,建议下载react-native 0.55.4版本,以及react-native-cli 1.2.0 版本,具体操作如下:

打开cmd命令行,逐个输入以下命令:

后来是npm命令:npm install --save react-native@0.56.0

我应该 使用yarn命令替代:yarn add react-native@0.56.0

下载:

3、升级yarn版本号:

(2)相关命令:

打开Android Studio,File --> Settings --> 搜索sdk,找到对应的sdk进行安装即可,这里也后能 选者安装模拟器,找到对应的勾选进行下载即可。

时需在Path环境变量中加带没法 值。分别是 Android SDK中tools目录的路径和platform-tools的路径。(由于由于配置,就不需要再去配置了。)

相似 :

(七)Invariant Violation:Applicaction 你的项目名称 has not been registered.This is either due to a require() error during initialization or failure to call AppRegistry.registerCommponent.

安装路径:

通过msi安装的,后能 卸载旧版本的yarn,什么都有有官网下载新版的yarn,什么都有有安装。

【注意】通过msi安装的yarn暂且会覆盖通过npm安装的yarn,两者一同地处。卸载励志的话 ,也是分开卸载的。

(二)手动打开安卓模拟器

(五)由于第四步的现象报告 还没法补救,建议使用以下土法子创建和安装应用:(你什儿 又是什儿 构建土法子,和rn很糙区别,后能 玩一下,但不建议学你什儿 。)

补救土法子:

在刚创建的项目的根目录运行下列代码:

首先执行yarn remove babel-preset-react-native,什么都有有再执行yarn add babel-preset-react-native@2.1.0

(二)现象报告 2 关于命令行提示gradle的一次错

JDK时需配置没法 环境变量:(由于已配置就不需要再配置)

Node官网: https://nodejs.org/

由于官网打不开,后能 看nodejs中文官网 https://nodejs.org/zh-cn/

加带环境变量, 示相似 下:

查看python安装版本:

1.安装完 yarn 后来就后能 用 yarn 代替 npm 了,相似 用yarn代替npm install命令,用yarn add 某第三方库名代替npm install --save 某第三方库名

加带环境变量:

※【说明】npm工具是nodejs底下自带的,什么都有有倘若配置了nodejs环境变量就OK了,不时需单独配置npm到环境变量。

错误如图所示:

执行npm view yarn version 查看yarn版本号,当前的版本号为1.7.0

执行 yarn -v 查看安装的yarn版本号,我当前的版本为1.7.0

执行yarn --version 查看安装的yarn版本号,我当前的版本为1.7.0

使用命令npm install -g yarn就后能 安装yarn了。

安装:

图示如下,我当前的react-native-cli版本号为2.0.1:

相似 :

(一)现象报告 1 The development server returned response error code: 10000

(三)现象报告 3 RN默认是用的gradle3.5构建的,什么都有有建议使用AS2.3.X版本(什么都有有非要大于3.0.0版本)导入项目。我用的是AS3.1.3,gradle构建成功的,什么都有有命令行执行react-native run-android命令总是报各种错,问了别人也找非要补救方案,由于是RN对高版本的AS工具以及高版本的gradle不兼容吧。

好多人说rn好用,总是要推荐我用,我应该 不信了,来安装玩一下试试效果。实践出真知!安装过程各种坑,工具不多了,太麻烦了,差点放弃(还好坚持下来呢)。

2、使用npm工具下载yarn:

什么都有有打开没法 项目目录,打开cmd命令行输入以下命令创建工程:

Android Studio

你什儿 前端工具的安装都依赖于node的包管理器npm

配置环境变量:

官网地址:

SDK和安卓模拟器:

在cmd中输入 npm -v 回车,如下图:

运行成功如下图所示:

输入python命令即可。